Please note that we will be performing routine server maintenance on November 23rd. Your experience may be temporarily limited on the Audiokinetic website and Wwise Launcher for a period of 48 hours.

Community Q&A

Where Wwise users help each other out!

Audiokinetic's Community Q&A is the forum where Wwise users ask and answer questions within the Wwise community. Contact Sales if your project requires a support plan.

Cube Demo won't open in Terminal, Mac Yosemtie 10.10.5

0 votes

Went perusing for an answer but couldn't find it.

So I've already went and dragged the needed libSDL2 framework file over where it needs to be, so the initial error is gone. My issue is that, from the Wwise Launcher, when I click the button to run the Cube Demo, Terminal will launch for a split second and then close itself. This happens even if I open up Terminal prior to running the Cube Demo. I've also tried opening through xCode 7.2.1 but the build fails on launch here as well. Is there something wrong with the build? Is there other steps I should be taking to make this work, and how would I go about it?

Any help would be greatly appreciated as this kind of holds me from moving forward in the 101 course. Pre-thank you for your time with any assistance or info given. And I can provide any additional info from my end if it would help with figuring out a solution.

asked Jun 12 in General Discussion by Taylor R. (140 points)
edited Jun 13 by Taylor R.
An Edit here:

I have 2 versions of Wwise installed, 2017.2.5.6619 and 2017.1.0.6302

The Cube Demo that comes with 2017.1.0 actually works in Terminal, which is great, but not understanding why the Cube Demo that came with the latest version refuses to open
im having this same issue. nay help is appreciated.

1 Answer

0 votes
SO the only thing I could do was upgrade my OS X version to Sierra 10.12.6 and everything works as intended. So I'm thinking it was just that I needed to upgrade the OS, granted my brain wants to think it was more complicated than that... *shrug*

I found the link to downloading that now older OS by just searching in Google for a Sierra download. A link to Apple's page for that should pop up, hope that help anyone else who is looking for the fix!
answered Jul 4 by Taylor R. (140 points)
I had the same exact problem in Yosemite 10.10.5. If you install Wwise 2016.2.6.6153, the Cube Demo will run in the Wise Launcher under Yosemite.

I also upgraded to Sierra, and everything works as intended.
...